# Namespace: net_module

## net_module

Módulo red, utilizado crear y gestionar la red que es generada del resultado del analísis de comunidad ecológica.

Source:
  - net_module.js, line 2

### Methods

#### (private, static) ._clean_highlight()

Éste método limpia los nodos que fueron resaltados al verificar los vecinos de un nodo.

Source:
  - net_module.js, line 1254

#### (private, static) ._clean_search()

Éste método borra los componentes visuales e iniciliza parámetros para generar un nuevo análisis de comunidad ecológica.

Source:
  - net_module.js, line 1222

#### (private, static) ._isConnected(a, b)

Éste método verifica si dos nodos se encuentran conectados a través del cálculo épsilon.

##### Parameters:

Name | Type | Description
--- | --- | ---
`a` | object | Nodo source
`b` | object | Nodo target

Source:
  - net_module.js, line 1189

#### (private, static) ._netConfigure(languageModule, s_filters, t_filters)

Éste método inicializa variables y componentes que son necesarios para la creación de la red y asigna a una variable global una instancia del módulo de lenguaje.

##### Parameters:

Name | Type | Description
--- | --- | ---
`languageModule` | object | Módulo de internacionalización
`s_filters` | type | Array con los grupos de variables source utlizados en el analísis de comunidad ecológica.
`t_filters` | type | Array con los grupos de variables target utlizados en el analísis de comunidad ecológica.

Source:
  - net_module.js, line 57

#### (private, static) ._set_highlight(d)

Éste método resalta los nodos vecinos de un nodo source.

##### Parameters:

Name | Type | Description
--- | --- | ---
`d` | object | nodo source

Source:
  - net_module.js, line 1272

#### (private, static) ._showSpecieOcc(nodes_selected, nodes)

Éste método muestra las ocurrencias por celda del conjunto seleccionado en el mapa resultado del análisis de comunidad.

##### Parameters:

Name | Type | Description
--- | --- | ---
`nodes_selected` | array | Array con los nodos selecionados
`nodes` | array | Array con los nodos que componen la red total

Source:
  - net_module.js, line 1319

#### (static) .createNet(json, display_obj)

Éste método genera una instancia de la red.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json` | json | Json que contiene los nodos y los enlaces resultado del análisis de communidad ecológica
`display_obj` | object | Referencia al controlador de comunidad ecológica

Source:
  - net_module.js, line 136

#### (static) .EpsilonGraph(json, display_obj)

Clase que genera instancias de tipo red así como interacción con el módulo de histograma y el modulo de tabla a través del controlador de comunidad ecológica.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json` | json | Json que contiene los nodos y los enlaces resultado del análisis de communidad ecológica
`display_obj` | object | Referencia al controlador de comunidad ecológica

Source:
  - net_module.js, line 172

#### (static) .getI18()

Método getter del módulo de internacionalización.

Source:
  - language_module.js, line 119

#### (private, static) .hasConnections(a)

Éste método verifica si nu nodo tiene vecinos a través del cálculo épsilon.

##### Parameters:

Name | Type | Description
--- | --- | ---
`a` | object | Nodo source

Source:
  - net_module.js, line 1203

#### (static) .setLanguageModule(languageModule)

Método setter del módulo de internacionalización.

##### Parameters:

Name | Type | Description
--- | --- | ---
`languageModule` | object | Módulo de internacionalización

Source:
  - net_module.js, line 28

#### (static) .setLegendGroup(legend_groups)

Método setter de las las leyendas de los grupos de variables.

##### Parameters:

Name | Type | Description
--- | --- | ---
`legend_groups` | array | Array con las leyendas de los grupos de variables seleccioandos en el analísis de comunidad ecológica.

Source:
  - net_module.js, line 43

#### (static) .startNet(languageModule, s_filters, t_filters)

Éste método realiza el llamado a la función que inicializa variables y componentes que son necesarios para la creación de la red.

##### Parameters:

Name | Type | Description
--- | --- | ---
`languageModule` | object | Módulo de internacionalización
`s_filters` | type | Array con los grupos de variables source utlizados en el analísis de comunidad ecológica.
`t_filters` | type | Array con los grupos de variables target utlizados en el analísis de comunidad ecológica.

Source:
  - net_module.js, line 1409